Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163725 - Logrotate Fails and doesn't give enough info
Summary: Logrotate Fails and doesn't give enough info
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: logrotate
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 17:38 UTC by Scott Baker
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-27 08:32:51 UTC


Attachments (Terms of Use)

Description Scott Baker 2005-07-20 17:38:12 UTC
Description of problem:
If logrotate fails running a postrotate script, it doesn't indicate in the
output which failed.

Steps to Reproduce:
1. Create or Edit a Logrotate entry
2. Add a postrotate script that will fail. something like /bin/false
3. Wait for logrotate to run and get the error message below
  
Actual results:
/etc/cron.daily/logrotate:

error: error running postrotate script

Expected results:
Something like:
/etc/cron.daily/logrotate:

error: error running postrotate script for /var/log/messages

Additional info:
Presumably it will fail on a prerotate script too, but I haven't tested that.


Note You need to log in before you can comment on or make changes to this bug.